# Uses of Class
org.apache.zookeeper.WatchedEvent

Packages that use WatchedEvent
Package
Description
org.apache.zookeeper
org.apache.zookeeper.inspector.manager
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.test.system

## Uses of WatchedEvent in org.apache.zookeeper

Methods in org.apache.zookeeper with parameters of type WatchedEvent
Modifier and Type
Method
Description
`void`
Watcher.`process(WatchedEvent event)`
`void`
Testable.`queueEvent(WatchedEvent event)`
Allow an event to be inserted into the event queue

## Uses of WatchedEvent in org.apache.zookeeper.inspector.manager

Methods in org.apache.zookeeper.inspector.manager with parameters of type WatchedEvent
Modifier and Type
Method
Description
`void`
ZooInspectorManagerImpl.NodeWatcher.`process(WatchedEvent event)`

## Uses of WatchedEvent in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type WatchedEvent
Modifier and Type
Method
Description
`void`
DumbWatcher.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
NettyServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
NIOServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
ServerCnxn.`process(WatchedEvent event)`
`abstract void`
ServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
ServerWatcher.`process(WatchedEvent event, List<ACL> znodeAcl)`

## Uses of WatchedEvent in org.apache.zookeeper.test.system

Methods in org.apache.zookeeper.test.system with parameters of type WatchedEvent
Modifier and Type
Method
Description
`void`
InstanceContainer.`process(WatchedEvent event)`
`void`
InstanceManager.`process(WatchedEvent event)`
`void`
SimpleClient.`process(WatchedEvent event)`
`void`
SimpleSysTest.`process(WatchedEvent event)`